## org.apache.http.conn.ssl
Interface TrustStrategy

All Known Implementing Classes:
  TrustSelfSignedStrategy

    public interface TrustStrategy

A strategy to establish trustworthiness of certificates without consulting the trust manager configured in the actual SSL context. This interface can be used to override the standard JSSE certificate verification process.

Since:
  4.1

Method Summary
`boolean` `isTrusted(X509Certificate[] chain, String authType)` Determines whether the certificate chain can be trusted without consulting the trust manager configured in the actual SSL context.

Method Detail

### isTrusted

    boolean isTrusted(X509Certificate[] chain,
                      String authType)
                      throws CertificateException

  Determines whether the certificate chain can be trusted without consulting the trust manager configured in the actual SSL context. This method can be used to override the standard JSSE certificate verification process.

  Please note that, if this method returns `false`, the trust manager configured in the actual SSL context can still clear the certificate as trusted.

  Parameters:
    `chain` - the peer certificate chain
    `authType` - the authentication type based on the client certificate
  Returns:
    `true` if the certificate can be trusted without verification by the trust manager, `false` otherwise.
  Throws:
    `CertificateException` - thrown if the certificate is not trusted or invalid.

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.